<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!-- Configuracion estilos de la interfaz de la aplicacion -->

    <style name="AppTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimary</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowBackground">@color/colorPrimary</item>
    </style>

    <style name="AppThemeNoActionBar" parent="AppTheme">
        <item name="windowActionBarOverlay">false</item>
    </style>

    <style name="StyleContainer">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:background">@color/colorGrayTerciary</item>
        <item name="android:fitsSystemWindows">true</item>
        <item name="android:theme">@style/AppThemeNoActionBar</item>
    </style>

    <style name="StyleBarLayout" parent="Base.ThemeOverlay.AppCompat.Dark.ActionBar">
        <item name="android:windowActionBarOverlay">true</item>
        <item name="android:layout_gravity">top|end</item>
        <!-- Support library compatibility -->
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">?attr/actionBarSize</item>
        <item name="android:layout_marginBottom">@dimen/appMarginSmall</item>
    </style>

    <style name="StyleToolBar" parent="Base.ThemeOverlay.AppCompat.Dark">
        <item name="android:background">@color/colorPrimary</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="titleTextColor">@color/colorAccent</item>
        <item name="layout_collapseMode">pin</item>
        <item name="layout_scrollFlags">scroll|enterAlways</item>
        <item name="popupTheme">@style/StyleToolBarPopup</item>
    </style>

    <style name="StyleToolBarPopup" parent="Base.ThemeOverlay.AppCompat.Dark" />

    <style name="StyleLineToolbar">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:layout_alignParentBottom">true</item>
        <item name="android:background">@color/colorLineToolbar</item>
    </style>

    <style name="StyleLineFlat">
        <item name="android:layout_width">match_parent</item>
        <item name="android:background">@color/colorLineToolbar</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:layout_margin">@dimen/appMarginXtraSmall</item>
    </style>

    <style name="StyleNavigation">
        <item name="android:background">@color/colorPrimary</item>
        <item name="itemIconTint">@color/colorGraySecondary</item>
        <item name="itemTextColor">@color/colorGraySecondary</item>
    </style>

    <style name="StyleCard">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="cardBackgroundColor">@color/colorWhite</item>
        <item name="cardCornerRadius">4dp</item>
        <item name="cardElevation">4dp</item>
        <item name="cardUseCompatPadding">true</item>
    </style>

    <style name="StyleTitleSection">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">@drawable/shape_title</item>
        <item name="android:padding">@dimen/appMarginXtraSmall</item>
    </style>

    <style name="StyleTitleSubSection">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">@color/colorGrayTerciary</item>
        <item name="android:padding">@dimen/appMarginXtraSmall</item>
    </style>

</resources>
